﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Steema.TeeChart.Styles;
using Steema.TeeChart.Tools;
using Steema.TeeChart;
using System.IO;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
       
        private Candle myCandle;
        private bool SemiLogActive = false;
        public Form1()
        {
            InitializeComponent();


            myCandle = new Candle(tChart1.Chart);
            myCandle.Style = CandleStyles.CandleStick;
            myCandle.UpCloseColor = Color.Green;
            myCandle.DownCloseColor = Color.Red;
            myCandle.Pointer.Pen.Visible = false;

            StreamReader sr = new StreamReader(Application.StartupPath + "\\bhp.csv");
            string strline = "";
            string[] _values = null;
            string[] PlotValues = null;
            int x = 0;
            while (!sr.EndOfStream)
            {
                x++;
                strline = sr.ReadLine();
                _values = strline.Split(';');

                PlotValues = _values[0].ToString().Split(',');
                double Num;
                bool isNum = double.TryParse(PlotValues[2], out Num);

                if (isNum)
                {

                    double open = Convert.ToDouble(PlotValues[2]);
                    double high = Convert.ToDouble(PlotValues[3]);
                    double low = Convert.ToDouble(PlotValues[4]);
                    double close = Convert.ToDouble(PlotValues[5]);

                    myCandle.Add(x, open, high, low, close);
                }
            }
            sr.Close();
            tChart1.Series.Add(myCandle);

            tChart1.Aspect.ClipPoints = true;

            tChart1.Aspect.View3D = false;
            tChart1.Series.Clear();
            tChart1.Series.RemoveAllSeries();

            tChart1.Series.Add(myCandle);
            tChart1.Axes.Left.Visible = true;

        }

        private void button1_Click(object sender, EventArgs e)
        {

            if (SemiLogActive == false)
            {

                tChart1.Axes.Left.Logarithmic = true;
                tChart1.Axes.Right.Logarithmic = true;
                tChart1.Axes.Left.LogarithmicBase = 10;
                tChart1.Axes.Right.LogarithmicBase = 10;
                tChart1.Refresh();
                SemiLogActive = true;
                button1.Text = "Turn Off Semi Log";
            }
            else
            {

                tChart1.Axes.Left.Logarithmic = false;
                tChart1.Axes.Right.Logarithmic = false;
                tChart1.Refresh();

                button1.Text = "Turn On Semi Log";
                SemiLogActive = false;
            }
        }
    }
}
